component.h File Reference

Internal header for connected components of triangulations of arbitrary dimension. More...

`#include "triangulation/detail/component.h"`
`#include "triangulation/generic.h"`

## Classes

class | regina::Component< dim >
| A connected component of a dim-manifold triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Internal header for connected components of triangulations of arbitrary dimension.

This file is automatically included from triangulation/generic.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).